*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Open Sans', sans-serif;
    text-decoration: none;
    list-style: none;
    
}

/* Remove todos os estilos de links */
a {
    text-decoration: none;
    color: inherit;
}


.background{
    /*background-image: url(../img/background-banner.webp);*/
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center top;
    width: 100%;
    max-width: 100%;
    height: 800px;

    display: flex;
    justify-content: center;
    margin: 0;
    background-color: #f5f5f5;
}

header{
    display: flex;
    justify-content: space-around;
    padding-top: 1rem;
    align-items: center;
    text-align: center;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    position: fixed;
    transition: all .35s ease;
    background-color: white;
    padding: 14px 14%;
}


.logo{
    font-weight: 500;
    font-size: 1rem;
}

.cabeçalho-link{
    display: flex;
    gap: 3rem;
}

.cabeçalho-link a{
    color: #111;
    font-weight: 700;
    transition: 0.3s;
}

.cabeçalho-link a:hover{
    color: #c8815f;
}

.icon span{
    font-size: 2rem;
    cursor: pointer;
}

.icon span:hover{
    color: #c8815f;
}

.overlay{
    background-color: rgba(0,0,0,.85);
    z-index: 1;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    display: none;
    transition: opacity 0.3s ease-in-out;
}
.block-cart{
    height: 100%;
    width: 300px; /* 0 width - change this with JavaScript */
    position: fixed; /* Stay in place */
    z-index: 2; /* Stay on top */
    top: 0; /* Stay at the top */
    right: 0px;
    background-color: #fff;
    overflow-x: hidden; /* Disable horizontal scroll */
    transform: translateX(100%);
    transition: transform 0.3s ease-in-out;
}



/* Position and style the close button (top right corner) */
.block-cart{
    position: fixed;
    top: 0;
    right: 0;
    color: black;
}

.block-cart.open {
    transform: translateX(0);
}

.itens-cart{
    padding-bottom: 10px;
}

.button-cart {
    background-color: #555;
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    margin-left: auto;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    
  }

.cart-icon{
    width: 100%;
    height: 50px;
    display: block;
}
.cart-img{
    width: 40px;
    height: 40px;
    margin-top: 5px;
}

.div-icon-cart{
    width: 100%;
    height: 100%;
    display: block;
}

.div-btn-cart{
    margin-top: 30px;
}


.fechar{
    position: absolute;
    cursor: pointer;
    padding: 5px;

    border: none;
    padding: 0;
    margin: 0;
    text-decoration: none;
    cursor: pointer;
    font: inherit;
    color: inherit;
    background-color: transparent;
    outline: none;
}

.head{
    clear: both;
    float: left;
    width: 100%;
    height: 46px;
    position: relative;
    margin: 0 0 5px;
    padding: 10px;
    text-align: left;
    background-color: #fff;
    border-bottom: 1px solid #ddd;
}
.gridTitle{
    font-size: 20px;
    width: 80%;
}

.gridClose{
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    width: 46px;
    height: 46px;
    font-size: 40px;
}
.foot{
    padding-top: 10px;
}


.Meio{

    text-align: center;
    padding: 20px;
    margin-top: 100px;
}

.Meio p {
    max-width: 700px;
}

.Meio h1{
    font-size: 4rem;
    
}



section{
    padding-top: 1rem;
}

section h1{
    align-items: center;
    text-align: center;
    font-size: 2rem;

}

.Container-card-1{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2rem;
    padding-top: 2rem;
   
}

.cards img{
    width: 450px;
    height: auto;
    transition: 0.35s ease;
    
}

.cards img:hover{
     transform: scale(0.9) translateY(-5px);
     cursor: pointer;
   
     
}

.cta{
    height: 60vh;
    width: 100%;
    background: url(../img/ffffc.png);
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    margin-top: 5rem;
}

.text-cta{
    padding-left: 5rem;
}

.text-cta h6{
    font-size: 17px;
	font-weight: 500;
	letter-spacing: .6px;
	margin-bottom: 14px;

}

.text-cta h4{
    font-size: 3.3rem;
	line-height: 1.2;
	letter-spacing: .6rem;
	margin-bottom: 30px;
}

.text-cta a{
    background-color: #c8815f;
    padding: 1rem 3rem 1rem 3rem;
    border: none;
    border-radius: 5px;
    color: #fff;
   font-size: 1rem;
   cursor: pointer;
   transition: 0.3s;
}

.text-cta a:hover{
    background-color: #111;
      transform: scaleY(1.2);

}

.Container-roupas{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2rem;
    align-items: center;
    text-align: center;
    margin-top: 3rem;
    
}

.Container-roupas img:hover{
    transform: scale(0.9) translateY(-5px);
    cursor: pointer;
    transition: 0.3s;

}

.roupa-img{
    width: 250px;
    height: auto;
}

.roupa{
    background-color: #555;
    color: #fff;
}
.roupa a {
    color: #fff;
}

.Marcas, .servicos{
    margin-top: 2.5rem;
    cursor: pointer;
    align-items: center;
    text-align: center;
}

.Marcas img, .servicos img{
    width: 180px;
    height: 180px;
    background-color: aliceblue;
}

.title-brands{
    margin: 20px;
    margin-top: 80px;
}

#Contato{
    justify-content: center;
    background-color: #111;
    padding: 8rem;
    margin-top: 5rem;
    display: grid;
	
    padding-top: 8rem;
}

@media screen and (min-width: 1242px) {
    #Contato{
        grid-template-columns: repeat(auto-fit, minmax(200px, auto));
    }
}


.meio-contato h2{
    color: #fff;
    font-size: 23px;
    margin-bottom: 1.6rem;
}

.meio-contato p{
    font-size: 15px;
    font-weight: 600;
    color: #fff;
    margin-bottom: 10px;
}

.meio-contato li{
    margin-bottom: 15px;
}

.meio-contato  {
    display: block;
    color: #fff;
    font-weight: 600;
    transition: all .35s ease;
    padding: 100px;
}

@media screen and (max-width: 1242px) {
    .meio-contato{
        padding: 50px;
    }
}

.meio-contato span {
    display: inline-block; /* ou "block" */
    height: 50px; /* Defina a altura desejada aqui */ 
}

.last-text{
    text-align: center;
    background-color: #555;
    color: #fff;
}

.div-ham{
    display: none;
    margin-right: 200px;
}

.icon{
    position: relative;
    display: inline-block;
}

.badge {
    position: absolute;
    top: -5px;
    right: -5px;
    background-color: red;
    color: white;
    font-size: 12px !important;
    border-radius: 50%;
    padding: 2px 5.5px;
    z-index: 1;
    font-weight: bold;
  }

  .borda-branca {
  font-weight: bold;
  color: #fff; /* cor do texto (preto) */
  text-shadow: 
    -1px -1px 0 black, /* borda superior e esquerda */
    1px -1px 0 black,  /* borda superior e direita */
    -1px 1px 0 black,  /* borda inferior e esquerda */
    1px 1px 0 black;   /* borda inferior e direita */
  }

  .link-container {
    display: flex;
    align-items: center; /* Alinha os elementos verticalmente ao centro */
}

.link-container img {
    height: 50px; /* Define a altura da logo */
    margin-right: 10px; /* Adapte a margem conforme necessário para separar a logo do texto */
}

.link-container p {
    margin: 0; /* Remove a margem padrão do parágrafo */
}

.btn-whats{
    width: 200px;
}

.name-product{
    white-space: nowrap; /* Impede a quebra de linha */
    overflow: hidden; /* Oculta o texto que exceder a largura */
    text-overflow: ellipsis; /* Adiciona três pontos no final do texto oculto */
    width: 200px; /* Defina a largura do contêiner do texto, ajuste conforme necessário */
    margin: 10px;
    margin-left: 25px;
}

/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
    .block-cart {padding-top: 15px;}
    .block-cart a {font-size: 18px;}
  }

  @media screen and (max-width: 913px) {

    header{
        height: 60px;
    }

    .login-button {
      display: none;
    }

    .logo {
        position: absolute;
        z-index: 0;
    }

    .cabeçalho-link{
        display: none;
    }

    

    .div-ham{
        display: block;
    }

    .hamburguer-btn {
        background-color: white;
        border: none;
        padding: 10px;
        border-radius: 5px;
    }
      
    .hamburguer-line {
        display: block;
        width: 30px;
        height: 3px;
        background-color: black;
        margin: 5px auto;
    }

    .hamburguer-btn:focus {
        outline: 2px solid #007bff; /* Substitua pela cor desejada */
    }

    .menu {
        position: fixed;
        top: 0;
        left: 0;
        bottom: 0;
        width: 300px;
        background-color: #333;
        color: white;
        transform: translateX(-300px);
        transition: transform 0.3s ease-in-out;
        z-index: 1;
      }
      
      .menu.open {
        transform: translateX(0);
      }
      
      .menu ul {
        list-style: none;
        margin: 0;
        padding: 20px;
        padding-top: 100px;
      }
      
      .menu ul li {
        margin-bottom: 10px;
      }
      
      .menu ul li a {
        color: white;
        text-decoration: none;
      }
      


  }

  

  @media screen and (max-width: 761px) {
    .Meio h1 {
        font-size: 3rem;
    }
  }

  @media screen and (max-width: 675px) {
   
    

  }

  @media screen and (max-width: 483px) {
   


  }

  @media screen and (max-width: 483px) {
    .Meio p {
        line-height: 1rem;
    }

  }